### Method

# Soup Cookie equal

#### Declaration [src]

    gboolean
    soup_cookie_equal (
      SoupCookie* cookie1,
      SoupCookie* cookie2
    )

#### Description [src]

Tests if `cookie1` and `cookie2` are equal.

Note that currently, this does not check that the cookie domains match. This may change in the future.

#### Parameters

`cookie2`

  Type: `SoupCookie`

  A `SoupCookie`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the cookies are equal.